Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227603 - Development Tools group broken dependencies
Summary: Development Tools group broken dependencies
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 01:04 UTC by Florin Andrei
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 11:21:20 UTC


Attachments (Terms of Use)

Description Florin Andrei 2007-02-07 01:04:10 UTC
Description of problem:
I installed Fedora 7 test 1 x86_64 from DVD. No devel tools were installed, so I
tried to install the whole Development Tools group via yum. But there's a
dependency issue that prevents that:

# yum groupinstall "Development Tools"
Loading "installonlyn" plugin
Setting up Group Process
Setting up repositories
Setting up repositories
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package python-ldap.x86_64 0:2.2.0-3 set to be updated
---> Package byacc.x86_64 0:1.9.20050813-1.fc7 set to be updated
---> Package frysk.i686 0:0.0.1.2006.12.22.rh1-1.fc7 set to be updated
---> Package automake15.noarch 0:1.5-17 set to be updated
---> Package make.x86_64 1:3.81-3.fc7 set to be updated
---> Package cvs.x86_64 0:1.11.22-8.fc7 set to be updated
---> Package patchutils.i386 0:0.2.31-2.2.2 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package doxygen.x86_64 1:1.5.1-2 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package oprofile-gui.x86_64 0:0.9.2-3.fc7 set to be updated
---> Package strace.x86_64 0:4.5.15-1.fc7 set to be updated
---> Package indent.x86_64 0:2.2.9-16.fc7 set to be updated
---> Package gdb.i386 0:6.6-3.fc7 set to be updated
---> Package subversion.i386 0:1.4.2-5 set to be updated
---> Package swig.x86_64 0:1.3.31-0.fc7 set to be updated
---> Package bison.x86_64 0:2.3-3.fc7 set to be updated
---> Package valgrind.i386 1:3.2.1-7 set to be updated
---> Package flex.x86_64 0:2.5.33-4.fc7 set to be updated
---> Package pfmon.x86_64 0:3.2-0.061205.1.fc7 set to be updated
---> Package gcc-c++.x86_64 0:4.1.1-55 set to be updated
---> Package gettext.x86_64 0:0.16.1-4.fc7 set to be updated
---> Package autoconf.noarch 0:2.61-3 set to be updated
---> Package cscope.x86_64 0:15.5-15.3.fc7 set to be updated
---> Package libtool.x86_64 0:1.5.22-8 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package oprofile.x86_64 0:0.9.2-3.fc7 set to be updated
---> Package rpm-build.x86_64 0:4.4.2-39.fc7 set to be updated
---> Package systemtap.x86_64 0:0.5.10-1.fc7 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package gcc.x86_64 0:4.1.1-55 set to be updated
---> Package elfutils.x86_64 0:0.126-1.fc7 set to be updated
---> Package texinfo.x86_64 0:4.8-15 set to be updated
---> Package subversion.x86_64 0:1.4.2-5 set to be updated
---> Package frysk.x86_64 0:0.0.1.2006.12.22.rh1-1.fc7 set to be updated
---> Package binutils.x86_64 0:2.17.50.0.9-1 set to be updated
---> Package diffstat.x86_64 0:1.43-1.fc7 set to be updated
---> Package gcc-gfortran.x86_64 0:4.1.1-55 set to be updated
---> Package gettext.i386 0:0.16.1-4.fc7 set to be updated
---> Package automake.noarch 0:1.10-3 set to be updated
---> Package gdb.x86_64 0:6.6-3.fc7 set to be updated
---> Package automake14.noarch 0:1.4p6-13 set to be updated
---> Package automake16.noarch 0:1.6.3-8 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-12.fc7 set to be updated
---> Package automake17.noarch 0:1.7.9-7 set to be updated
---> Package pkgconfig.x86_64 1:0.21-4.fc7 set to be updated
---> Package ltrace.x86_64 0:0.5-6.45svn.fc6 set to be updated
---> Package valgrind.x86_64 1:3.2.1-7 set to be updated
--> Running transaction check
--> Processing Dependency: cpp = 4.1.1-55 for package: gcc
--> Processing Dependency: libgomp.so.1()(64bit) for package: gettext
--> Processing Dependency: libgconf-java for package: frysk
--> Processing Dependency: libstdc++ = 4.1.1-55 for package: gcc-c++
--> Processing Dependency: libgcc >= 4.1.1-55 for package: gcc
--> Processing Dependency: libgfortran = 4.1.1-55 for package: gcc-gfortran
--> Processing Dependency: elfutils-libs = 0.126-1.fc7 for package: elfutils
--> Processing Dependency: libgomp.so.1 for package: gettext
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
--> Processing Dependency: patch >= 2.5 for package: rpm-build
--> Processing Dependency: glib-java >= 0.2.6 for package: frysk
--> Processing Dependency: libpfm for package: pfmon
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: systemtap
--> Processing Conflict: elfutils-libelf conflicts elfutils > 0.125-3.fc7
--> Processing Dependency: m4 for package: autoconf
--> Processing Dependency: libapr-1.so.0 for package: subversion
--> Processing Dependency: m4 for package: flex
--> Processing Dependency: perl(URI) >= 1.17 for package: subversion
--> Processing Dependency: libgomp.so.1(GOMP_1.0)(64bit) for package: gettext
--> Processing Dependency: libneon.so.25 for package: subversion
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libgomp = 4.1.1-55 for package: gcc
--> Processing Dependency: libgcj.so.7rh for package: frysk
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
--> Processing Dependency: libdw.so.1()(64bit) for package: systemtap
--> Processing Dependency: libstdc++-devel = 4.1.1-55 for package: gcc-c++
--> Processing Dependency: elfutils-libelf = 0.126-1.fc7 for package: elfutils
--> Processing Dependency: imake for package: autoconf
--> Processing Dependency: libaprutil-1.so.0 for package: subversion
--> Processing Dependency: m4 >= 1.4 for package: bison
--> Processing Dependency: libgomp.so.1()(64bit) for package: gcc
--> Processing Dependency: systemtap-runtime = 0.5.10-1.fc7 for package: systemtap
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package m4.x86_64 0:1.4.8-1 set to be updated
---> Package cpp.x86_64 0:4.1.1-55 set to be updated
---> Package neon.i386 0:0.25.5-5.1 set to be updated
---> Package elfutils-libelf.x86_64 0:0.126-1.fc7 set to be updated
---> Package libgomp.x86_64 0:4.1.1-55 set to be updated
---> Package perl-URI.noarch 0:1.35-3 set to be updated
---> Package patch.x86_64 0:2.5.4-29.2.2 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.1-55 set to be updated
---> Package libgcc.x86_64 0:4.1.1-55 set to be updated
---> Package libgcj.i386 0:4.1.1-55 set to be updated
---> Package systemtap-runtime.x86_64 0:0.5.10-1.fc7 set to be updated
---> Package libgconf-java.x86_64 0:2.12.4-5.fc7 set to be updated
---> Package glibc-devel.x86_64 0:2.5.90-16 set to be updated
---> Package elfutils-libs.x86_64 0:0.126-1.fc7 set to be updated
---> Package libpfm.x86_64 0:3.2-0.061205.1.fc7 set to be updated
---> Package glib-java.x86_64 0:0.2.6-3.fc6 set to be updated
---> Package apr-util.i386 0:1.2.8-2 set to be updated
---> Package libgfortran.x86_64 0:4.1.1-55 set to be updated
---> Package libstdc++.x86_64 0:4.1.1-55 set to be updated
---> Package apr.i386 0:1.2.7-10 set to be updated
---> Package libgomp.i386 0:4.1.1-55 set to be updated
---> Package imake.x86_64 0:1.0.2-3 set to be updated
--> Running transaction check
--> Processing Dependency: libgtkjni-2.8.so()(64bit) for package: libgconf-java
--> Processing Dependency: libcairojava-1.0.so()(64bit) for package: libgconf-java
--> Processing Dependency: glibc = 2.5.90-16 for package: glibc-devel
--> Processing Dependency: libpq.so.5 for package: apr-util
--> Processing Dependency: libsqlite3.so.0 for package: apr-util
--> Processing Dependency: glibc-headers for package: glibc-devel
--> Processing Dependency: glibc-headers = 2.5.90-16 for package: glibc-devel
--> Processing Dependency: libgtkjava-2.8.so()(64bit) for package: libgconf-java
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libgtk-java.x86_64 0:2.8.7-2.fc7 set to be updated
---> Package glibc.x86_64 0:2.5.90-16 set to be updated
---> Package postgresql-libs.i386 0:8.2.2-1.fc7 set to be updated
---> Package glibc-headers.x86_64 0:2.5.90-16 set to be updated
---> Package cairo-java.x86_64 0:1.0.5-3.fc6 set to be updated
---> Package sqlite.i386 0:3.3.6-2 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-common = 2.5.90-16 for package: glibc
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package glibc-common.x86_64 0:2.5.90-16 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-common = 2.5.90-15 for package: glibc
Error: No Package Matching glibc.i686


Version-Release number of selected component (if applicable):
Fedora 7 test 1 x86_64

How reproducible:
always

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
see above

Expected results:
I should be able to install Devel tools

Additional info:

Comment 1 Jeff Johnson 2007-02-07 12:43:12 UTC
This is (or perhaps was) a glibc packaging issue, not an rpm problem.

Comment 2 Florin Andrei 2007-02-07 19:45:17 UTC
Whatever it was that caused this, it's gone. I did a yum update on my system,
then cleaned up the yum cache, then tried again to install the dev tools. This
time it just worked.

Comment 3 Jeff Johnson 2007-02-08 01:29:19 UTC
NOTABUG

Comment 4 Bill Nottingham 2007-03-02 17:35:49 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 5 Paul Nasrat 2007-03-13 11:21:20 UTC
Issue resolved itself.  Closing


Note You need to log in before you can comment on or make changes to this bug.